High Priestess Levian:
The Human Wizard is an advanced Mystic who can practice elemental magic, black magic and summoning magic. Also, the Human Wizard can directly strike down enemies with the most powerful magic. However, the Wizard must turn away from the arts of white magic and summoning magic in order to concentrate on attack magic. Nevertheless, it's quite a fascinating profession, particularly in its ability to summon servitors.
Some Wizards decide to train at Oren's Ivory Tower, to attain still more advanced professions, such as Sorcerers, Warlocks or Necromancers. However, there are not many that can achieve such a high level, it is not as easy as you think.
To change profession to become a Human Wizard, you must bring back the bead of four seasons. That is a token that proves that you have attained the qualifications to become a Human Wizard.
Ask about the bead of four seasons
Return